Subject: [bitcoin-dev] Nucleus: Capital-efficient multipeer Lightning payment channels

From: Atomic Mr Nuclear <[email-masked]>
Date: Sun, 20 Aug 2023 14:25:07 +0000

Dear community,

In the attachment you will find a new proposal for Lightning multipeer payment
channels which provides better capital efficiency (no inbound liquidity is
required) and liveness (up to half of peers may go offline and the channel can
continue to operate). It also doesn't rely on a penalty mechanism and doesn't
require the use of atomic swaps (HTLC, PTLC etc) and routed payments for scaling
(peers can directly join the multipeer channel instead of establishing a network
of channels locking in the liquidity).

----

Atomic Mr Nuclear